summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorlassulus <lassulus@googlemail.com>2013-11-02 16:24:51 +0100
committerlassulus <lassulus@googlemail.com>2013-11-02 16:24:51 +0100
commit0a14aad47e6a1c54e602bd984075f19d0c8cb6c8 (patch)
tree5d72b633f7b63b0410378bf5ca16578034107804 /util
parentfc7f1e1fd601d11dfef53bc0dd890bbd6f596f6c (diff)
parent946e5f5256d800ae2a3dbbdc42ad6e62e37d1f50 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'util')
-rwxr-xr-xutil/t/vvs.de/smoke-test11
1 files changed, 11 insertions, 0 deletions
diff --git a/util/t/vvs.de/smoke-test b/util/t/vvs.de/smoke-test
new file mode 100755
index 00000000..451270fe
--- /dev/null
+++ b/util/t/vvs.de/smoke-test
@@ -0,0 +1,11 @@
+#! /bin/sh
+set -euf
+
+vvs.de Hauptbahnhof Renningen 13 37 | {
+ read from && test "x$from" = 'xfrom: Hauptbahnhof'
+ read to && test "x$to" = 'xto: Renningen'
+ read sep && test "x$sep" = 'x-------------------------------------'
+ while read line; do
+ echo "$line" | grep -q '^[0-9][0-9]:[0-9][0-9] [0-9][0-9]:[0-9][0-9] '
+ done
+}